Subject: [Fwd: Re: [mobile-ip] BU Authorization method: design team recommendation]

From: Vijay Devarapalli <[email-masked]>
Date: Fri, 08 Feb 2002 10:03:31 -0800

[repost] for some reason, this mail did not make it to the list.
Erik has already responded to this mail.

Vijay

-------- Original Message --------
Subject: Re: [mobile-ip] BU Authorization method: design team
recommendation
Date: Thu, 07 Feb 2002 16:29:30 -0800
From: Vijay Devarapalli <[email-masked]>
To: Erik Nordmark <[email-masked]>
CC: Jari Arkko <[email-masked]>,[email-masked],
[email-masked]
References: <[email-masked]>

Hi Erik, Jari,

Erik Nordmark wrote:

> > 3. Assume, I have more than 2 mechanisms for BU authorization
> > (RR, RR+DH, RR+CGA, PKI, AAA). How does "1 bit" help here?
> > For this, (IMO) the obvious thing would be a set of bits
> > in the Binding Update. You dont have to specify this now. We
> > can do this later using the reserved bits in the BU.
> 
> RR+DH seems to incur close to the same processing overhead as RR+CGA
> while not providing much more security that just RR. MiTM is still possible.
> Perhaps there is a subtle difference (I don't know for sure) that such a DH
> MiTM requires seeing packets in both directions (i.e. that unicast routing
> is somewhat symmetric between the CN and HA) whereas a RR MiTM does not require
> this.

I would say RR+DH is a better BU Authorization mechanism over RR,
but not as good as RR+CGA. So it is still an option over RR and 
an MN should be able to select this mechanism.

> Infrastructure-based mechanisms might make sense in some cases.
> I have doubts whether a PKI would ever carry accurate information about
> what Home Addresses a given certificate has authority to create binding for.
> So personally I think that a PKI can be used in addition to whatever BU
> authorization mechanism there is (e.g. RR) to be able to provide corse
> level distinction between "known friends" and "others".

If a MN's home address ever changes, then it gets a new certificate.
Why wouldnt this work? IMHO, PKI + IKE + IPSec would work for a 
few domains (eg a corporate network). And this should be the most
preferred BU Authorization mechanism whereever it is available.

> I don't personally understand AAA-based authorization of binding updates would
> entail and whether it would fit into the architecture of AAA that the AAAwg
> is assuming to comment on that.

Trust me. It will work. We will soon see AAA-based BU authorization 
mechanisms. (again wherever possible, this should be more preferred 
than RR, RR+DH, RR+CGA mechanism). 

> But up-leveling - the property that "the low-order 64 bits of the address
> is allocated according to EUI-64" is currently encoded in the IPv6 address -
> it is a property of the address.
> The fact that "the low-order 64 bits is a <hmac/hash/prf> of a public key"
> is also a property of the address, thus it would make sense to encode this
> in the address as well.
> The fact that a MN or CN uses AAA (or some other infrastructure) for
> pair-wise authentication and authorization is not a property of an IPv6
> address.

Basically the above reinforces, what I had thought. The "1 bit method" 
is very specific to RR+CGA mechanism. It does not help in any way
to select the other strong BU Authorization methods. 

I want to emphasize one point again. CGA is good for IPv6 and ND. I am
not against it. And the "1 bit mechanism" is good for distinguishing a 
CGA address from another address. But that does not make it the best 
mechanism to select from a bunch of BU Authorization mechanisms.

regards
Vijay